1. Emergency
SCAEM
  • Back to home
  • api.dataemergencia.com
  • Endpoints
    • V1
      • Generators
        • Series Generator
        • Code Generator
        • Code Retrival
        • Code Remaining
      • Whatsapp
        • Test Message Template Copy
        • Test Message Emergency Template One
        • Test Message Template
        • Test Message Text
      • Tokens
        • Generate Token
        • Register Application
        • Generate Application Token
        • Patch Application Token
      • Auth
        • Logout
        • CSRF
        • Relationship
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Welcome
    • V2
      • Fmd
        • FMD
        • FMD Model Data
        • FMD Models Data
        • FMD Existence
        • Check existent FMD
        • Relationship
        • FMD Patch Emergency Contacts
        • FMD Patch Template Type
        • FMD Patch
        • FMD Update Emergency Contacts
      • Auth
        • Logout
        • Register
        • Login
      • Product
        • Product
      • Google Maps
        • Google Maps | Search Based URL Generator
      • WhatsApp
        • Send Template Message
      • Generators
        • Code Generator Carnet QR Pattern
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Emergency
        • Emergencies
          GET
        • Emergency
          GET
        • Emergency
          POST
        • Emergency
          DELETE
        • Emergency Copy
          GET
      • Subscription
        • Subscription
      • Project
        • Create Project Access Url
      • SGI-API-Chatwoot
        • Send messages to Chatwoot Inbox API (broke)
        • Send Location Message
        • Create Contact
      • Codes
        • Generate Code By Prefix
        • Generate Code By Prefix Copy
  • Test
    • Auth
      • Login
      • Register
    • Broadcasting
      • WhatsApp Broadcasting Event Trigger
      • WhatsApp Broadcasting Status Event Trigger
      • WhatsApp Broadcasting Event Trigger For Routing to Correct Recipient
    • Media Test Hardcoded
      GET
    • oauth-broke
      GET
    • user_pic
      GET
    • Test Connection
      GET
    • Me
      GET
  • External
    • Whatsapp
      • Resumable API
        • Start Media Uploading Session
        • Upload Media
      • WhatsApp Media Assets API
        • Download Media
        • Test Whatsapp Image Download
        • Test Whatsapp Image URL Retrieval
      • Test Message
      • second_test_message template
      • Verify Phone Number
      • Check conversations
  • Health
    GET
  1. Emergency

Emergency

Developing
POST
/{{v2}}/emergency

POST | EMERGENCY#

Creates a new emergency in the API, taking into information of the message ID sent through WhatsApp Cloud (Through the API) and the responders' information

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
    "is_active": true,
    "initiator_id": "pxfq83",
    "responders": [
        {
            "phone": "584121307426",
            "name": "Jhon Leon",
            "sent": false,
            "delivered": false,
            "read": false,
            "failed": false,
            "message_id": "wamid.HBgMNTg0MTIxMzA3NDI2FQIAERgSMkU1NDIyMTJDQTE3NzhBNUQ1AA=="
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/{{v2}}/emergency' \
--header 'X-Application-Identifier: {{TEST_SCAEM_APP_UUID}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "is_active": true,
    "initiator_id": "pxfq83",
    "responders": [
        {
            "phone": "584121307426",
            "name": "Jhon Leon",
            "sent": false,
            "delivered": false,
            "read": false,
            "failed": false,
            "message_id": "wamid.HBgMNTg0MTIxMzA3NDI2FQIAERgSMkU1NDIyMTJDQTE3NzhBNUQ1AA=="
        }
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "meta": {
        "timestamp": "2025-07-04T15:16:10-04:00",
        "api_version": "v1.2.0",
        "status": 200,
        "copyright": "© 2025 api.dataemergencia.com. All rights reserved."
    },
    "data": {
        "emergency_id": 60,
        "is_active": "active",
        "responders": [
            {
                "id": 130,
                "emergency_id": 60,
                "name": "Jhon Leon",
                "phone": "584121307426",
                "sent": false,
                "delivered": false,
                "read": false,
                "failed": false,
                "message_id": "wamid.HBgMNTg0MTIxMzA3NDI2FQIAERgSMkU1NDIyMTJDQTE3NzhBNUQ1AA=="
            }
        ]
    }
}
Modified at 2025-08-04 15:30:12
Previous
Emergency
Next
Emergency
Built with